Bug 97303 - [update] devel/re2c
Summary: [update] devel/re2c
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-15 16:00 UTC by Martin Wilke
Modified: 2006-06-05 12:06 UTC (History)
1 user (show)

See Also:


Attachments
re2c.diff (2.47 KB, patch)
2006-05-15 16:00 UTC, Martin Wilke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Wilke 2006-05-15 16:00:37 UTC

- update to 0.10.3
- maintainer is cc'd
- remove USE_GCC (see log)
- pkg-plist fixed

Log:
     0.10.2 -> 0.10.3
    * Changed to generate YYMARKER only when needed or in single pass mode.
    * Added -1 switch to force single pass generation and make two pass the default.
    * Fixed -i switch.
    * Added configuration 'yyfill:enable' to allow suppression of YYFILL() blocks.
    * Added tutorial like lessons to re2c.
    * Added /*!ignore!re2c */ to support documenting of re2c source.
    * Fixed issue with multiline re2c comments (/*!max:re2c ... */ and alike).
    * Fixed generation of YYDEBUG() when using -d switch.
    * Added /*!getstate:re2c */ which triggers generation of the YYGETSTATE() block.
    * Added configuration 'state:abort'.
    * Changed to not generate yyNext unless configuration 'state:nextlabel' is used.
    * Changed to not generate yyaccept code unless needed.
    * Changed to use if- instead of switch-expression when yyaccpt has only one case.
    * Added docu, examples and tests to .src.zip package (0.10.1 zip was repackaged).
    * Fixed #1479044 incorrect code generated when using -b.
    * Fixed #1472770 re2c creates an infinite loop.
    * Fixed #1454253 Piece of code saving a backtracking point not generated.
    * Fixed #1463639 Missing forward declaration.
    * Implemented #1187127 savable state support for multiple re2c blocks.


 0.10.1 -> 0.10.2
    * gcc version 4.0.3 (4.0.3-0.20060215.2mdk for Mandriva Linux release 2006.1)
    * gcc version 4.0.2 20050901 (prerelease) (SUSE Linux)
    * gcc version 3.4.4 [FreeBSD] 20050518
    * gcc version 3.4.4 (cygming special) (gdc 0.12, using dmd 0.125)
    * gcc version 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)
    * gcc-Version 3.3.5 (Debian 1:3.3.5-13)
    * gcc-Version 3.3.0 (mips-sgi-irix6.5/3.3.0/specs)
    * MIPSpro Compilers: Version 7.4.4m
    * Microsoft (R) 32-bit C/C++ Optimizing Compiler Version 14.00.50727.42 for 80x86 (Microsoft Visual C 2005)
    * Microsoft (R) 32-bit C/C++ Optimizing Compiler Version 13.00.9466 for 80x86 (Microsoft Visual C 2002)
    * Intel(R) C++ Compiler for Intel(R) EM64T-based applications, Version 9.0 Build 20050430 Package ID: l_cc_p_9.0.021
    * CC: Sun C++ 5.8 2005/10/13 (CXXFLAGS='-compat5 -library=stlport4')
    * bison 2.1, 1.875d, 1.875b, 1.875
Comment 1 Edwin Groothuis freebsd_committer 2006-05-15 16:04:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-15 16:32:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-04 18:26:31 UTC
State Changed
From-To: feedback->open

Maintainer time-out
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-05 12:06:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!